%bcond_with latex

Summary:        Text based document generation
Name:           asciidoc
Version:        9.1.0
Release:        4%{?dist}
License:        GPL+ and GPLv2+
URL:            http://asciidoc.org
Source0:        https://github.com/%{name}-py/asciidoc-py/archive/%{version}/%{name}-py-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  docbook-style-xsl libxslt graphviz source-highlight
BuildRequires:  automake autoconf make symlinks
BuildRequires:  python3-devel

Requires:       docbook-style-xsl graphviz libxslt source-highlight
Requires:       python3

%description
AsciiDoc is a plain text markup language for writing technical
content. It’s packed with semantic elements and equipped with
features to modularize and reuse content. AsciiDoc content can
be composed using a text editor, managed in a version control
system, and published to multiple output formats.


%package doc
Summary:  Additional documentation and examples for asciidoc
Requires: %{name} = %{version}-%{release}

%description doc
%{summary}.

%if %{with latex}
%package latex
Summary:  Support for asciidoc latex output
Requires: %{name} = %{version}-%{release}
Requires: dblatex
Requires: texlive-dvipng-bin

%description latex
%{summary}.
%endif

%prep
%autosetup -n %{name}-py-%{version}

rm -rf %{buildroot}{%{_sysconfdir}/asciidoc/filters/music,%{_sysconfdir}/asciidoc/filters/music/*.conf,%{_sysconfdir}/asciidoc/filters/music/*.py}

grep -rl '#!/usr/bin/env python' | xargs -r \
    sed -i -e '1s@#!/usr/bin/env python3\?$@#!%{__python3}@'

%build
autoreconf -v
%configure
%make_build

%install
%make_install docs

install -dm755 %{buildroot}%{_datadir}/asciidoc/
for d in dblatex docbook-xsl images javascripts stylesheets; do
    mv -v %{buildroot}%{_sysconfdir}/asciidoc/$d \
          %{buildroot}%{_datadir}/asciidoc/
    ln -s %{buildroot}%{_datadir}/%{name}/$d %{buildroot}%{_sysconfdir}/%{name}/

    rm -rf %{buildroot}%{_docdir}/%{name}/$d
    ln -s %{buildroot}%{_datadir}/%{name}/$d %{buildroot}%{_docdir}/%{name}/
done

mkdir -p %{buildroot}%{python3_sitelib}/
sed '1d' asciidocapi.py > %{buildroot}%{python3_sitelib}/asciidocapi.py
chmod -x %{buildroot}%{python3_sitelib}/asciidocapi.py
touch -r asciidocapi.py %{buildroot}%{python3_sitelib}/asciidocapi.py

for file in %{buildroot}{%{_bindir},%{_sysconfdir}/asciidoc/filters/*}/*.py ; do
    touch ${file}{c,o}
done

symlinks -cdr %{buildroot}

rm -f %{buildroot}/%{_pkgdocdir}/INSTALL.txt
rm -f %{buildroot}/%{_mandir}/man1/testasciidoc.1*

%if %{without latex}
rm -f %{_sysconfdir}/asciidoc/filters/latex/*.py
%endif

%files
%license COPYRIGHT
%doc BUGS.txt CHANGELOG.txt README.asciidoc
%config(noreplace) %{_sysconfdir}/asciidoc/
%{_bindir}/a2x
%{_bindir}/a2x.py
%{_bindir}/asciidoc
%{_bindir}/asciidoc.py
%{_datadir}/asciidoc/
%{python3_sitelib}/asciidocapi.py*
%{python3_sitelib}/__pycache__/asciidocapi*
%{_mandir}/man1/a2x.1*
%{_mandir}/man1/asciidoc.1*
%exclude %{_bindir}/*.py[co]
%exclude %{_sysconfdir}/asciidoc/filters/*/*.py[co]
%exclude %{_sysconfdir}/asciidoc/filters/latex
%exclude %{_sysconfdir}/asciidoc/filters/music
%exclude %{_pkgdocdir}/website
%exclude %{_pkgdocdir}/doc
%exclude %{_pkgdocdir}/{dblatex,docbook-xsl,images,javascripts,stylesheets}

%files doc
%{_pkgdocdir}/{website,doc}
%{_pkgdocdir}/{dblatex,docbook-xsl,images,javascripts,stylesheets}
%exclude %{_docdir}/%{name}/{COPYRIGHT,README.asciidoc}

%if %{with latex}
%files latex
%dir %{_sysconfdir}/asciidoc/filters/latex
%{_sysconfdir}/asciidoc/filters/latex/*.py
%config(noreplace) %{_sysconfdir}/asciidoc/filters/latex/*.conf
%endif

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.1.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.1.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 9.1.0-2
- remove dblatex and texlive buildrequires

* Tue Nov 22 2022 cunshunxia <cunshunxia@tencent.com> - 9.1.0-1
- initial build
